Skip to main content
POST
/
v1
/
customers
/
sessions
/
{customer_session}
/
payment-methods
Enroll Payment Method — Checkout Flow
curl --request POST \
  --url https://api-sandbox.y.uno/v1/customers/sessions/{customer_session}/payment-methods \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "YOUR_ACCOUNT_ID",
  "payment_method_type": "CARD",
  "country": "US",
  "verify": {
    "vault_on_success": true,
    "currency": "USD"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "VISA ****1111",
  "type": "<string>",
  "category": "<string>",
  "vaulted_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "ENROLLED",
  "card_data": {
    "iin": "<string>",
    "lfd": "<string>",
    "brand": "<string>",
    "issuer": "<string>",
    "fingerprint": "<string>"
  }
}

Path Parameters

customer_session
string<uuid>
required

Body

application/json
account_id
string<uuid>
required
payment_method_type
enum<string>
required
Available options:
CARD,
MERCADO_PAGO_WALLET,
NEQUI,
BANCOLOMBIA_TOKENBOX,
NU_PAY_ENROLLMENT
country
enum<string>
required

ISO 3166-1 alpha-2 country code

Available options:
AR,
BO,
BR,
CL,
CO,
CR,
EC,
SV,
GT,
HN,
MX,
NI,
PA,
PY,
PE,
US,
UY
verify
object

Response

201 - application/json

Payment method enrolled

id
string<uuid>
name
string
Example:

"VISA ****1111"

type
string
category
string
vaulted_token
string<uuid>
status
enum<string>
Available options:
ENROLLED,
READY_TO_ENROLL
card_data
object